package com.steerinfo.metermonitor.metermonitorweight.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.metermonitor.dto.MeterMonitorWeightDto;
import com.steerinfo.metermonitor.metermonitorweight.model.MeterMonitorWeight;
import com.steerinfo.meterwork.dto.TimesDto;

import java.text.ParseException;
import java.util.HashMap;
import java.util.List;

/**
 * MeterMonitorWeight服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-09-22 07:19
 * 类描述
 * 修订历史：
 * 日期：2020-09-22
 * 作者：generator
 * 参考：
 * 描述：MeterMonitorWeight服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterMonitorWeightService extends IBaseService<MeterMonitorWeight, String>{

    List<MeterMonitorWeightDto> listByTime(String actualFirstNo);

    List<TimesDto> listFast(String spotTypeNo, String collectStartTime, String collectEndTime);

    List<TimesDto> listSlowly(String spotTypeNo, String collectStartTime, String collectEndTime);

    List<TimesDto> listAvg(String spotTypeNo, String collectStartTime, String collectEndTime);

    String doAddWf(MeterMonitorWeight model);

    String doUpdateWf(MeterMonitorWeight model);

    List<MeterMonitorWeightDto> chartByTime(HashMap parmas) throws ParseException;
}